XINE-REMOTE(1x)

NAME
xine-remote - a small tool to connect xine remote control server.

SYNOPSIS
xine-remote [options]

DESCRIPTION
This manual page documents briefly the xine-remote tool.

xine-remote can replace a raw telnet connection to a xine remote control server. It use the readline facilities (completion, vi/emacs shortcuts, command history, etc...). By default, it try to connect the localhost, using the default port (see xine(1)).

OPTIONS
The program follow the usual GNU command line syntax, with long ioptions starting with two dashes (`-'). A summary of options are included below.

-H, --host <hostname>
    Try to connect <hostname>.

-P, --port <port>
    Try to connect the host using <port>.

-c, --command <command>
    Send <command> to server then quit. The command should be single quoted if it contain spaces or special characters.

-n, --noconnect
    Do not initiate the connection on startup.

-v, --version
    Display version.

-h, --help
    Display options summary.

COMMANDS
Few commands are available, which are used to open or close a connection:

?   Display available commands (the xine-remote ones + server ones when connection is etablished).

help <command>
    Display the purpose of <command>, if that is omitted, display available commands.

syntax <command>
    Display the usage of <command>.

version
    Display version.

open <server[:port]>
    Open connection to server. A port can be optionnaly specified, using colon (:) separator.

close
    Close connection.

quit
    Leaving xine-remote.

SEE ALSO
xine(1).

AUTHOR
This manual page was written by Daniel Caujolle-Bert <f1rmb@users.sourceforge.net> for the xine project.